Bug 182148 - rhnpush shouldn't automatically generate the ~/.rhnpushrc and ./.rhnpushrc config files
rhnpush shouldn't automatically generate the ~/.rhnpushrc and ./.rhnpushrc co...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn410
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Vlady Zlatkin
:
Depends On: 188658
Blocks: 171832 181957
  Show dependency treegraph
 
Reported: 2006-02-20 14:56 EST by John Wregglesworth
Modified: 2007-04-18 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 21:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-02-20 14:56:00 EST
Description of problem: rhnpush shouldn't automatically generate the
~/.rhnpushrc and the ./.rhnpushrc config files. It should, however, use them if
they are present.
Comment 1 John Wregglesworth 2006-02-21 11:19:08 EST
Fixed in SVN.

Test Plan:
1. On a 410 Sat, create a custom channel through the WebUI.

2. On the 410 sat, make sure that the ~/.rhnpushrc and ./.rhnpushrc files don't
exist and push a package with rhnpush into the custom channel.

rhnpush --server=localhost -c<custom-channel-label> <package-name]

3. Make sure that the ~/.rhnpushrc and ./.rhnpushrc files still aren't present.

4. Create a ./.rhnpushrc file and set an option in it. It could look something
like this:

[rhnpush]
new_cache = 1

5. Run rhnpush the same way you did for 2. It should use the configuration
option that you set in step 4.

6. Create a ~/.rhnpushrc file and set an option in it. It could look something
like this:

[rhnpush]
extended_test = 1

7. Run rhnpush the same way you did for 2. It should use the configuration
option that you set in step 6.

8. Change the ~/.rhnpushrc and ./.rhnpushrc files so they set the same option,
but to different values.

9 Run rhnpush again, and make sure that it uses the value for the option from
./.rhnpushrc.
Comment 2 John Wregglesworth 2006-04-11 10:36:01 EDT
Changing state to ON_QA after QA push.
Comment 4 Beth Nackashi 2006-07-19 20:13:44 EDT
closing - currentrelease
Comment 5 Beth Nackashi 2006-07-19 21:48:16 EDT
closing - current release

Note You need to log in before you can comment on or make changes to this bug.